首页 新闻 搜索 专区 学院

node -v 没问题 npm -v 报错,在线等,各位大神。。

0
悬赏园豆:5 [已解决问题] 解决于 2018-05-23 19:51

Error: spawn C:\Program Files\nodejs\node.exe ENOENT
at _errnoException (util.js:992:11)
at Process.ChildProcess._handle.onexit (internal/child_process.js:190:19)
at onErrorNT (internal/child_process.js:372:16)
at _combinedTickCallback (internal/process/next_tick.js:138:11)
at process._tickCallback (internal/process/next_tick.js:180:9)
at Function.Module.runMain (module.js:695:11)
at startup (bootstrap_node.js:191:16)
at bootstrap_node.js:612:3
C:\Program Files\nodejs\node_modules\npm\lib\npm.js:61
throw new Error('npm.load() required')

 

Error: npm.load() required
at Object.get (C:\Program Files\nodejs\node_modules\npm\lib\npm.js:61:13)
at process.errorHandler (C:\Program Files\nodejs\node_modules\npm\lib\utils\error-handler.js:205:18)
at emitOne (events.js:116:13)
at process.emit (events.js:211:7)
at process._fatalException (bootstrap_node.js:378:26)
5.6.0

 

events.js:183
throw er; // Unhandled 'error' event

 


Error: spawn C:\Program Files\nodejs\node.exe ENOENT
at _errnoException (util.js:992:11)
at Process.ChildProcess._handle.onexit (internal/child_process.js:190:19)
at onErrorNT (internal/child_process.js:372:16)
at _combinedTickCallback (internal/process/next_tick.js:138:11)
at process._tickCallback (internal/process/next_tick.js:180:9)
at Function.Module.runMain (module.js:695:11)
at startup (bootstrap_node.js:191:16)
at bootstrap_node.js:612:3

言凡的主页 言凡 | 菜鸟二级 | 园豆:201
提问于:2018-05-21 20:33

测试一下是否真的在线等

dudu 2年前

@dudu: 真的

言凡 2年前
< >
分享
最佳答案
0

建议先先试试卸载并重新安装

收获园豆:5
dudu | 高人七级 |园豆:39035 | 2018-05-21 21:06

卸载重装了N次了,换了几个版本也是不可以

言凡 | 园豆:201 (菜鸟二级) | 2018-05-21 21:06

卸载后删除一下 C:\Program Files\nodejs\node_modules 这个文件夹

dudu | 园豆:39035 (高人七级) | 2018-05-21 21:06

@言凡: 并删除 C:\Users\Administrator\AppData\Roaming\npmC:\Users\Administrator\AppData\Roaming\npm-cache 这2个文件夹

dudu | 园豆:39035 (高人七级) | 2018-05-21 21:09

@dudu: 卸载以后这几个文件就自动消失了;
现在C:\Users\Administrator\AppData\Roaming\npm这个文件夹下面是空的,是不是不正常?

言凡 | 园豆:201 (菜鸟二级) | 2018-05-21 21:10

@dudu: 刚开始安装node的时候是没有问题的,后来打算安装vue cli,运行了个安装命令以后就坏了

言凡 | 园豆:201 (菜鸟二级) | 2018-05-21 21:14

@言凡: 正常

dudu | 园豆:39035 (高人七级) | 2018-05-21 21:20

@言凡: 运行的是哪个安装命令?

dudu | 园豆:39035 (高人七级) | 2018-05-21 21:20

@言凡: 按照这里的步骤将nodejs删除干净,然后重新安装

dudu | 园豆:39035 (高人七级) | 2018-05-21 21:23

@dudu: npm install --global vue-cli;运行这个命令的时候没有报错,然后就一直等的,最后我就关了,也不知道vue-cli 安装好没有。现在是npm的所有命令都不能用了

言凡 | 园豆:201 (菜鸟二级) | 2018-05-21 21:24

@dudu: 还是不可以,报相同的错误,看来我要重做系统了。
谢谢回复!!!

言凡 | 园豆:201 (菜鸟二级) | 2018-05-21 21:46

@dudu:

重装系统只能暂时解决,过了一天又出现了相同的问题

在这里找了个答案可以了:

https://segmentfault.com/q/1010000012671644

    降一下node的版本就好了,亲测链接描述

言凡 | 园豆:201 (菜鸟二级) | 2018-05-25 21:36
清除回答草稿
   您需要登录以后才能回答,未注册用户请先注册